# PDTMFDecoder Class Reference

`#include <dtmf.h>`

Inheritance diagram for PDTMFDecoder:

List of all members.

## Public Types

| DetectSamples = 520
| DetectTime = DetectSamples/8
enum | { DetectSamples = 520, DetectTime = DetectSamples/8 }

## Public Member Functions

| PDTMFDecoder ()
PString | Decode (const short *sampleData, PINDEX numSamples, unsigned mult=1, unsigned div=1)

## Protected Types

| NumTones = 10
enum | { NumTones = 10 }

## Protected Attributes

char | key [256]
int | p1 [NumTones]
int | h [NumTones]
int | k [NumTones]
int | y [NumTones]
int | sampleCount
int | tonesDetected
int | inputAmplitude

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DetectSamples |
  DetectTime |

anonymous enum`[protected]`

Enumerator:

  NumTones |

## Constructor & Destructor Documentation

PDTMFDecoder::PDTMFDecoder | ( |  | ) |

## Member Function Documentation

PString PDTMFDecoder::Decode | ( | const short * | sampleData,
|  | PINDEX | numSamples,
|  | unsigned | mult = `1`,
|  | unsigned | div = `1` |
| ) |  |  |

## Member Data Documentation

int PDTMFDecoder::h[NumTones]`[protected]`

int PDTMFDecoder::inputAmplitude `[protected]`

int PDTMFDecoder::k[NumTones]`[protected]`

char PDTMFDecoder::key[256]`[protected]`

int PDTMFDecoder::p1[NumTones]`[protected]`

int PDTMFDecoder::sampleCount `[protected]`

int PDTMFDecoder::tonesDetected `[protected]`

int PDTMFDecoder::y[NumTones]`[protected]`

The documentation for this class was generated from the following file:

- dtmf.h